Page MenuHomePhabricator

[SPIKE] Investigate impact of WMDE's work on talk pages edit conflicts
Closed, ResolvedPublic

Description

WMDE is develop a new interface for resolving edit conflicts on talk pages. [1] This project is part of the team's larger effort to improve edit conflict resolution in articles, the most requested feature in the 2015 German Technical Wishes survey.

This task encompasses the work to research and document how the work WMDE is doing to improve the workflow for resolving edit conflicts on talk pages relates to and could affect the work the Editing Team is doing on talk pages as part of the Talk pages project. [2]

An example of the kind of question we would like to be able to answer as a result of this research spike is the following:

  • The project page describes [3] functionality to enable people to, "...adjust the order of the conflicting comments." – how could this interact with the new Replying workflow [4] the Editing Team is developing?

Resources

This section contains links to information about the project and WMDE's plans. Note: to get a deeper understanding, it may be necessary to talk with WMDE directly.

Done

  • Document answers to the following questions:
    • 1) How might the work WMDE is doing to improve the workflow for resolving edit conflicts on talk pages affect the work the Editing Team is doing, and has planned, for the Talk pages project?
    • 2) What adjustments – if any – should the Editing Team consider making to their plans to ensure the work WMDE is doing to improve the workflow for resolving edit conflicts on talk pages does not negatively impact the work the Editing Team is doing, and has planned, for the Talk pages project?

For answers to the questions above, see: T247863#5981218


  1. https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes/Edit_Conflicts#Edit_conflicts_on_talk_pages
  2. https://www.mediawiki.org/wiki/Talk_pages_project
  3. https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes/Edit_Conflicts#How_to_solve_an_edit_conflict?
  4. https://www.mediawiki.org/wiki/Talk_pages_project/replying

Event Timeline

ppelberg created this task.Mar 17 2020, 4:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2020, 4:02 PM
matmarex claimed this task.Mar 18 2020, 6:21 PM
  1. How might the work WMDE is doing to improve the workflow for resolving edit conflicts on talk pages affect the work the Editing Team is doing, and has planned, for the Talk pages project?

It doesn't. WMDE's work on edit conflicts only affects tools that use MediaWiki's normal workflow for edit conflicts – primarily the wikitext editor and visual editor. DiscussionTools' reply widget does not, it either automatically resolves the conflict or displays an error message advising users to reload the page (T240643#5943549).

  1. What adjustments – if any – should the Editing Team consider making to their plans to ensure the work WMDE is doing to improve the workflow for resolving edit conflicts on talk pages does not negatively impact the work the Editing Team is doing, and has planned, for the Talk pages project?

We don't need to do anything. I think the two projects don't affect each other, even though they are trying to solve the same problem.

In a way, I feel like our DiscussionTools will make WMDE's talk-page edit conflict screen redundant. But our solution will probably arrive later, and there will probably be some folks who will prefer using the wikitext editor for replying anyway, so their improvement is still nice.

This is helpful; thank you, @matmarex.

Just a bit of clarification before resolving this task...

In a way, I feel like our DiscussionTools will make WMDE's talk-page edit conflict screen redundant.

By "redundant" are you referring to the fact that there will be two distinct conflict resolution workflows?

  1. Resolving an edit conflict someone encounters in the process of using DiscussionTools (e.g. Replying or Starting a new discussion)?
  2. Resolving an edit conflict someone encounters in the process of using full-page wikitext talk page editing?

Yes. And people using DiscussionTools will never see the talk-page edit conflict screen.

ppelberg closed this task as Resolved.Mar 24 2020, 11:58 PM

Yes. And people using DiscussionTools will never see the talk-page edit conflict screen.

Understood. Okay. Thank you for confirming.

ppelberg updated the task description. (Show Details)Mar 24 2020, 11:59 PM